<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: Moco Interface Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_user.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For MATLAB, Python, Java, and C++ users</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('mocoapiref.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="PageDoc"><div class="header">
  <div class="headertitle">
<div class="title">Moco Interface Reference </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><p>This is the landing page for the reference for Moco's interface, or Application Programming Interface.</p>
<p>This reference is useful for obtaining a list of functions provided by a class. If you are new to Moco, consider starting with the User Guide before consulting this reference.</p>
<p>The following classes are used frequently:</p>
<ul>
<li><a class="el" href="classOpenSim_1_1MocoTool.html" title="This is a base class for solving problems that depend on an observed motion using Moco&#39;s optimal cont...">MocoTool</a><ul>
<li><a class="el" href="classOpenSim_1_1MocoInverse.html" title="This tool solves problems in which the kinematics are prescribed and you seek the actuator (e....">MocoInverse</a></li>
<li><a class="el" href="classOpenSim_1_1MocoTrack.html">MocoTrack</a></li>
</ul>
</li>
<li><a class="el" href="classOpenSim_1_1MocoTrajectory.html" title="The values of the variables in an optimal control problem.">MocoTrajectory</a><ul>
<li><a class="el" href="classOpenSim_1_1MocoSolution.html" title="Return type for MocoStudy::solve().">MocoSolution</a></li>
</ul>
</li>
<li><a class="el" href="classOpenSim_1_1MocoStudy.html" title="The top-level class for solving a custom optimal control problem.">MocoStudy</a><ul>
<li><a class="el" href="classOpenSim_1_1MocoProblem.html" title="A description of an optimal control problem, backed by OpenSim Models.">MocoProblem</a><ul>
<li><a class="el" href="classOpenSim_1_1MocoGoal.html" title="A goal is a term in the cost functional to be minimized, or a set of endpoint constraints that must l...">MocoGoal</a></li>
<li><a class="el" href="classOpenSim_1_1MocoPathConstraint.html" title="A path constraint to be enforced in the optimal control problem.">MocoPathConstraint</a></li>
<li><a class="el" href="classOpenSim_1_1MocoParameter.html" title="A MocoParameter allows you to optimize property values in an OpenSim Model.">MocoParameter</a></li>
</ul>
</li>
<li><a class="el" href="classOpenSim_1_1MocoSolver.html" title="Once the solver is created, you should not make any edits to the MocoProblem.">MocoSolver</a></li>
<li><a class="el" href="classOpenSim_1_1MocoProblemRep.html" title="The primary intent of this class is for use by MocoSolvers, but users can also use this class to appl...">MocoProblemRep</a></li>
</ul>
</li>
<li><a class="el" href="classOpenSim_1_1MocoDirectCollocationSolver.html" title="This is a base class for solvers that use direct collocation to convert an optimal control problem in...">MocoDirectCollocationSolver</a><ul>
<li><a class="el" href="classOpenSim_1_1MocoTropterSolver.html" title="Solve the MocoProblem using the tropter direct collocation library.">MocoTropterSolver</a></li>
<li><a class="el" href="classOpenSim_1_1MocoCasADiSolver.html" title="This solver uses the CasADi library (https://casadi.org) to convert the MocoProblem into a generic no...">MocoCasADiSolver</a></li>
</ul>
</li>
<li><a class="el" href="classOpenSim_1_1ModelFactory.html" title="This class provides utilities for creating OpenSim models.">ModelFactory</a></li>
</ul>
<p>If the class you seek is not in the list above, use the search box in the upper right or the drop-down menu from the "API Reference" button. </p>
</div></div><!-- contents -->
</div><!-- PageDoc -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="mocomainpage.html">Moco</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:40 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
